/*
 * OtroCampoLlenoParaValordelCampoDependiente.java
 *
 * Created on 23 de marzo de 2007, 09:18 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class OtroCampoLlenoParaValordelCampoDependiente extends AbstractRule {

	/** Creates a new instance of CampoLlenoParaUnValorDiferenteDeOtroCampo */

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {

		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {
			String otroCampo = registro[new Integer((String) getParams()[2])
					.intValue()];
			{
				if (getParams()[3].equals(field) && (otroCampo.length() > 0)) {
					return true;
				}
			}
			return false;
		}
		return false;
	}
}